org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTCLOSERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTCLOSERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTCLOSERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTCLOSERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTCLOSERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTCLOSERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTCLOSERNode` | `bindCloseclientdelay(IDynamicContentBindingObject value)`
    `CLIENTCLOSERNode` | `bindCloseclienttrigger(IDynamicContentBindingObject value)`
    `CLIENTCLOSERNode` | `bindCloseclienturl(IDynamicContentBindingObject value)`
    `CLIENTCLOSERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTCLOSERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTCLOSERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTCLOSERNode` | `setActionListener(java.lang.String value)`
    `CLIENTCLOSERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTCLOSERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTCLOSERNode` | `setCloseclientdelay(int value)`
    `CLIENTCLOSERNode` | `setCloseclientdelay(java.lang.String value)`
    `CLIENTCLOSERNode` | `setCloseclienttrigger(java.lang.String value)`
    `CLIENTCLOSERNode` | `setCloseclienturl(java.lang.String value)`
    `CLIENTCLOSERNode` | `setComment(java.lang.String value)`
    `CLIENTCLOSERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTCLOSERNode` | `setId(java.lang.String value)`
    `CLIENTCLOSERNode` | `setReference(java.lang.String value)`
    `CLIENTCLOSERNode` | `setRendered(boolean value)`
    `CLIENTCLOSERNode` | `setRendered(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTCLOSERNode

          public CLIENTCLOSERNode()

  - ### Method Detail

    - #### setId

          public CLIENTCLOSERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTCLOSERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTCLOSERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTCLOSERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTCLOSERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTCLOSERNode setAttributemacro(java.lang.String value)

    - #### setCloseclientdelay

          public CLIENTCLOSERNode setCloseclientdelay(java.lang.String value)

    - #### bindCloseclientdelay

          public CLIENTCLOSERNode bindCloseclientdelay(IDynamicContentBindingObject value)

    - #### setCloseclientdelay

          public CLIENTCLOSERNode setCloseclientdelay(int value)

    - #### setCloseclienttrigger

          public CLIENTCLOSERNode setCloseclienttrigger(java.lang.String value)

    - #### bindCloseclienttrigger

          public CLIENTCLOSERNode bindCloseclienttrigger(IDynamicContentBindingObject value)

    - #### setCloseclienturl

          public CLIENTCLOSERNode setCloseclienturl(java.lang.String value)

    - #### bindCloseclienturl

          public CLIENTCLOSERNode bindCloseclienturl(IDynamicContentBindingObject value)

    - #### setComment

          public CLIENTCLOSERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTCLOSERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTCLOSERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTCLOSERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTCLOSERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTCLOSERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTCLOSERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTCLOSERNode setRendered(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.